<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Formatters/HTML/Part/Part.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Formatters.HTML.Part.Part</title>
<link href="../../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../../../Synopsis.html" >Synopsis</a>.<a href="../../../Formatters.html" >Formatters</a>.<a href="../../HTML.html" >HTML</a>.<a href="../Part.html" >Part</a>
</div><div class="class-name">class Part

</div><div class="links"><div class="file">File: <a href="../../../../../File/Synopsis/Formatters/HTML/Part.py.html" target="detail">../Synopsis/Formatters/HTML/Part.py</a></div> <div class="xref"><a href="../../../../../XRef/xref12.html#Synopsis.Formatters.HTML.Part.Part" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/Part.py.html#line23" ><img src="../../../../../src-py.png" alt="source code"/></a></div></div>  <img alt="Part-inheritance" src="Part-inheritance.png" hspace="8" vspace="8" border="0" usemap="#Part-inheritance_map" />
<map name="Part-inheritance_map"></map>
 <div class="doc">Base class for formatting a Part of a Scope View.
    
    This class contains functionality for modularly formatting an ASG node and
    its children for display. It is typically used to construct Heading&#44;
    Summary and Detail formatters. Strategy objects are added according to
    configuration&#44; and this base class  then checks which format methods each
    strategy implements. For each ASG declaration visited&#44; the Part asks all
    Strategies which implement the appropriate format method to generate
    output for that declaration. The final writing of the formatted html is
    delegated to the write_section_start&#44; write_section_end&#44; and write_section_item
    methods&#44; which must be implemented in a subclass.
    </div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Class attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="fragments">fragments</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/Part.py.html#line37" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="register">register</a>(<span class="variable">self</span>, <span class="variable">view</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref12.html#Synopsis.Formatters.HTML.Part.Part.register" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/Part.py.html#line39" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="view">view</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref12.html#Synopsis.Formatters.HTML.Part.Part.view" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/Part.py.html#line74" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="filename">filename</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref12.html#Synopsis.Formatters.HTML.Part.Part.filename" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/Part.py.html#line75" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="os">os</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref12.html#Synopsis.Formatters.HTML.Part.Part.os" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/Part.py.html#line76" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="scope">scope</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref12.html#Synopsis.Formatters.HTML.Part.Part.scope" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/Part.py.html#line77" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="write">write</a>(<span class="variable">self</span>, <span class="variable">text</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref12.html#Synopsis.Formatters.HTML.Part.Part.write" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/Part.py.html#line78" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="type_ref">type_ref</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref12.html#Synopsis.Formatters.HTML.Part.Part.type_ref" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/Part.py.html#line81" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="type_label">type_label</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref12.html#Synopsis.Formatters.HTML.Part.Part.type_label" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/Part.py.html#line82" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="declarator">declarator</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref12.html#Synopsis.Formatters.HTML.Part.Part.declarator" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/Part.py.html#line83" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="parameter">parameter</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref12.html#Synopsis.Formatters.HTML.Part.Part.parameter" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/Part.py.html#line84" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Part.html#reference" >reference</a></span>(<span class="variable">self</span>, <span class="variable">name</span>, <span class="variable">label</span> = <span class="value">None</span>, <span class="keyword">*</span> <span class="keyword">*</span> <span class="variable">keys</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref12.html#Synopsis.Formatters.HTML.Part.Part.reference" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/Part.py.html#line86" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Returns a reference to the given name.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Part.html#label" >label</a></span>(<span class="variable">self</span>, <span class="variable">name</span>, <span class="variable">label</span> = <span class="value">None</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref12.html#Synopsis.Formatters.HTML.Part.Part.label" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/Part.py.html#line97" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Create a label for the given name.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Part.html#format_declaration" >format_declaration</a></span>(<span class="variable">self</span>, <span class="variable">decl</span>, <span class="variable">method</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref12.html#Synopsis.Formatters.HTML.Part.Part.format_declaration" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/Part.py.html#line117" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Format decl using named method of each fragment.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Part.html#process" >process</a></span>(<span class="variable">self</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref12.html#Synopsis.Formatters.HTML.Part.Part.process" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/Part.py.html#line128" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Formats the given decl&#44; creating the output for this Part of the
        view.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_declaration">visit_declaration</a>(<span class="variable">self</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref12.html#Synopsis.Formatters.HTML.Part.Part.visit_declaration" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/Part.py.html#line138" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_macro">visit_macro</a>(<span class="variable">self</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref12.html#Synopsis.Formatters.HTML.Part.Part.visit_macro" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/Part.py.html#line139" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_forward">visit_forward</a>(<span class="variable">self</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref12.html#Synopsis.Formatters.HTML.Part.Part.visit_forward" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/Part.py.html#line140" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_group">visit_group</a>(<span class="variable">self</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref12.html#Synopsis.Formatters.HTML.Part.Part.visit_group" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/Part.py.html#line141" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_scope">visit_scope</a>(<span class="variable">self</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref12.html#Synopsis.Formatters.HTML.Part.Part.visit_scope" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/Part.py.html#line142" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_module">visit_module</a>(<span class="variable">self</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref12.html#Synopsis.Formatters.HTML.Part.Part.visit_module" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/Part.py.html#line143" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_meta_module">visit_meta_module</a>(<span class="variable">self</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref12.html#Synopsis.Formatters.HTML.Part.Part.visit_meta_module" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/Part.py.html#line144" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_class">visit_class</a>(<span class="variable">self</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref12.html#Synopsis.Formatters.HTML.Part.Part.visit_class" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/Part.py.html#line145" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_class_template">visit_class_template</a>(<span class="variable">self</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref12.html#Synopsis.Formatters.HTML.Part.Part.visit_class_template" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/Part.py.html#line146" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_typedef">visit_typedef</a>(<span class="variable">self</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref12.html#Synopsis.Formatters.HTML.Part.Part.visit_typedef" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/Part.py.html#line147" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_enum">visit_enum</a>(<span class="variable">self</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref12.html#Synopsis.Formatters.HTML.Part.Part.visit_enum" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/Part.py.html#line148" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_variable">visit_variable</a>(<span class="variable">self</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref12.html#Synopsis.Formatters.HTML.Part.Part.visit_variable" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/Part.py.html#line149" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_const">visit_const</a>(<span class="variable">self</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref12.html#Synopsis.Formatters.HTML.Part.Part.visit_const" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/Part.py.html#line150" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_function">visit_function</a>(<span class="variable">self</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref12.html#Synopsis.Formatters.HTML.Part.Part.visit_function" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/Part.py.html#line151" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_function_template">visit_function_template</a>(<span class="variable">self</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref12.html#Synopsis.Formatters.HTML.Part.Part.visit_function_template" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/Part.py.html#line152" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_operation">visit_operation</a>(<span class="variable">self</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref12.html#Synopsis.Formatters.HTML.Part.Part.visit_operation" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/Part.py.html#line153" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_operation_template">visit_operation_template</a>(<span class="variable">self</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref12.html#Synopsis.Formatters.HTML.Part.Part.visit_operation_template" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/Part.py.html#line154" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Part.html#format_type" >format_type</a></span>(<span class="variable">self</span>, <span class="variable">typeObj</span>, <span class="variable">id_holder</span> = <span class="value">None</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref12.html#Synopsis.Formatters.HTML.Part.Part.format_type" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/Part.py.html#line158" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Part.html#visit_builtin_type_id" >visit_builtin_type_id</a></span>(<span class="variable">self</span>, <span class="variable">type</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref12.html#Synopsis.Formatters.HTML.Part.Part.visit_builtin_type_id" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/Part.py.html#line170" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Part.html#visit_unknown_type_id" >visit_unknown_type_id</a></span>(<span class="variable">self</span>, <span class="variable">type</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref12.html#Synopsis.Formatters.HTML.Part.Part.visit_unknown_type_id" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/Part.py.html#line175" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Part.html#visit_declared_type_id" >visit_declared_type_id</a></span>(<span class="variable">self</span>, <span class="variable">type</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref12.html#Synopsis.Formatters.HTML.Part.Part.visit_declared_type_id" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/Part.py.html#line180" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Part.html#visit_dependent_type_id" >visit_dependent_type_id</a></span>(<span class="variable">self</span>, <span class="variable">type</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref12.html#Synopsis.Formatters.HTML.Part.Part.visit_dependent_type_id" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/Part.py.html#line185" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Part.html#visit_modifier_type_id" >visit_modifier_type_id</a></span>(<span class="variable">self</span>, <span class="variable">type</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref12.html#Synopsis.Formatters.HTML.Part.Part.visit_modifier_type_id" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/Part.py.html#line190" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Part.html#visit_parametrized_type_id" >visit_parametrized_type_id</a></span>(<span class="variable">self</span>, <span class="variable">type</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref12.html#Synopsis.Formatters.HTML.Part.Part.visit_parametrized_type_id" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/Part.py.html#line201" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Part.html#visit_template_id" >visit_template_id</a></span>(<span class="variable">self</span>, <span class="variable">type</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref12.html#Synopsis.Formatters.HTML.Part.Part.visit_template_id" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/Part.py.html#line211" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Part.html#visit_function_type_id" >visit_function_type_id</a></span>(<span class="variable">self</span>, <span class="variable">type</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref12.html#Synopsis.Formatters.HTML.Part.Part.visit_function_type_id" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/Part.py.html#line217" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Part.html#write_start" >write_start</a></span>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref12.html#Synopsis.Formatters.HTML.Part.Part.write_start" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/Part.py.html#line232" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Part.html#write_section_start" >write_section_start</a></span>(<span class="variable">self</span>, <span class="variable">heading</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref12.html#Synopsis.Formatters.HTML.Part.Part.write_section_start" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/Part.py.html#line237" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Part.html#write_section_end" >write_section_end</a></span>(<span class="variable">self</span>, <span class="variable">heading</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref12.html#Synopsis.Formatters.HTML.Part.Part.write_section_end" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/Part.py.html#line242" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Part.html#write_section_item" >write_section_item</a></span>(<span class="variable">self</span>, <span class="variable">text</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref12.html#Synopsis.Formatters.HTML.Part.Part.write_section_item" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/Part.py.html#line247" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Part.html#write_end" >write_end</a></span>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref12.html#Synopsis.Formatters.HTML.Part.Part.write_end" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/Part.py.html#line252" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Methods Details:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="reference">reference</a>(<span class="variable">self</span>, <span class="variable">name</span>, <span class="variable">label</span> = <span class="value">None</span>, <span class="keyword">*</span> <span class="keyword">*</span> <span class="variable">keys</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref12.html#Synopsis.Formatters.HTML.Part.Part.reference" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/Part.py.html#line86" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Returns a reference to the given name. The name is a scoped name&#44;
        and the optional label is an alternative name to use as the link text.
        The name is looked up in the TOC so the link may not be local. The
        optional keys are appended as attributes to the A tag.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="label">label</a>(<span class="variable">self</span>, <span class="variable">name</span>, <span class="variable">label</span> = <span class="value">None</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref12.html#Synopsis.Formatters.HTML.Part.Part.label" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/Part.py.html#line97" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Create a label for the given name. The label is an anchor so it can
        be referenced by other links. The name of the label is derived by
        looking up the name in the TOC and using the link in the TOC entry.
        The optional label is an alternative name to use as the displayed
        name. If the name is not found in the TOC then the name is not
        anchored and just label is returned &#40;or name if no label is given&#41;.
        </div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="format_declaration">format_declaration</a>(<span class="variable">self</span>, <span class="variable">decl</span>, <span class="variable">method</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref12.html#Synopsis.Formatters.HTML.Part.Part.format_declaration" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/Part.py.html#line117" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Format decl using named method of each fragment. Each fragment
        returns two strings - type and name. All the types are joined and all
        the names are joined separately. The consolidated type and name
        strings are then passed to write_section_item.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="process">process</a>(<span class="variable">self</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref12.html#Synopsis.Formatters.HTML.Part.Part.process" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/Part.py.html#line128" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Formats the given decl&#44; creating the output for this Part of the
        view. This method is implemented in various subclasses in different
        ways&#44; for example Summary and Detail iterate through the children of
        'decl' section by section&#44; whereas Heading only formats decl itself.
        </div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="format_type">format_type</a>(<span class="variable">self</span>, <span class="variable">typeObj</span>, <span class="variable">id_holder</span> = <span class="value">None</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref12.html#Synopsis.Formatters.HTML.Part.Part.format_type" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/Part.py.html#line158" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Returns a reference string for the given type object</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_builtin_type_id">visit_builtin_type_id</a>(<span class="variable">self</span>, <span class="variable">type</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref12.html#Synopsis.Formatters.HTML.Part.Part.visit_builtin_type_id" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/Part.py.html#line170" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Sets the label to be a reference to the type's name</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_unknown_type_id">visit_unknown_type_id</a>(<span class="variable">self</span>, <span class="variable">type</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref12.html#Synopsis.Formatters.HTML.Part.Part.visit_unknown_type_id" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/Part.py.html#line175" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Sets the label to be a reference to the type's link</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_declared_type_id">visit_declared_type_id</a>(<span class="variable">self</span>, <span class="variable">type</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref12.html#Synopsis.Formatters.HTML.Part.Part.visit_declared_type_id" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/Part.py.html#line180" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Sets the label to be a reference to the type's name</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_dependent_type_id">visit_dependent_type_id</a>(<span class="variable">self</span>, <span class="variable">type</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref12.html#Synopsis.Formatters.HTML.Part.Part.visit_dependent_type_id" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/Part.py.html#line185" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Sets the label to be the type's name &#40;which has no proper scope&#41;</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_modifier_type_id">visit_modifier_type_id</a>(<span class="variable">self</span>, <span class="variable">type</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref12.html#Synopsis.Formatters.HTML.Part.Part.visit_modifier_type_id" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/Part.py.html#line190" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Adds modifiers to the formatted label of the modifier's alias</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_parametrized_type_id">visit_parametrized_type_id</a>(<span class="variable">self</span>, <span class="variable">type</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref12.html#Synopsis.Formatters.HTML.Part.Part.visit_parametrized_type_id" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/Part.py.html#line201" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Adds the parameters to the template name in angle brackets</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_template_id">visit_template_id</a>(<span class="variable">self</span>, <span class="variable">type</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref12.html#Synopsis.Formatters.HTML.Part.Part.visit_template_id" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/Part.py.html#line211" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Labs the template with the parameters</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_function_type_id">visit_function_type_id</a>(<span class="variable">self</span>, <span class="variable">type</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref12.html#Synopsis.Formatters.HTML.Part.Part.visit_function_type_id" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/Part.py.html#line217" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Labels the function type with return type&#44; name and parameters</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="write_start">write_start</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref12.html#Synopsis.Formatters.HTML.Part.Part.write_start" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/Part.py.html#line232" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Abstract method to start the output&#44; eg table headings</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="write_section_start">write_section_start</a>(<span class="variable">self</span>, <span class="variable">heading</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref12.html#Synopsis.Formatters.HTML.Part.Part.write_section_start" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/Part.py.html#line237" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Abstract method to start a section of declaration types</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="write_section_end">write_section_end</a>(<span class="variable">self</span>, <span class="variable">heading</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref12.html#Synopsis.Formatters.HTML.Part.Part.write_section_end" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/Part.py.html#line242" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Abstract method to end a section of declaration types</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="write_section_item">write_section_item</a>(<span class="variable">self</span>, <span class="variable">text</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref12.html#Synopsis.Formatters.HTML.Part.Part.write_section_item" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/Part.py.html#line247" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Abstract method to write the output of one formatted declaration</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="write_end">write_end</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref12.html#Synopsis.Formatters.HTML.Part.Part.write_end" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/Part.py.html#line252" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Abstract method to end the output&#44; eg close the table</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:27:01 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
